Title: Energy efficient programming in science

Author: adc

Time: 15:00

Abstract: Numerical models are used extensively for simulating
complex physical systems including fluid flows, astronomical events,
weather, and climate.  Many researchers struggle to bring their
model developments from single-computer, interpreted languages to
parallel high-performance computing (HPC) systems.  There are
initiatives to make interpreted languages such as MATLAB, Python,
and Julia feasible for HPC programming.  In this talk I argue that
the computational overhead is far costlier than any potential
development time saved.  Instead, doing model development in C and
unix tools from the start minimizes porting headaches between
platforms, reduces energy use on all systems, and ensures
reproducibility of results.
